#!/bin/sh
#
# File:		RestartHTTP.sh
#
# Product:	Tivoli Module
# Description:	Shell Script
# Author:		Module Generator
#
# Generated:	
#
# (C) COPYRIGHT Tivoli Systems, Inc., 1997
# All Rights Reserved
# Licensed Material - Property of Tivoli Systems, Inc.
#

###
#
# is_OS_NT
#
is_OS_NT() {
  if [ "$DEBUG" = true ]; then set -x; fi
  if [ "`uname`" = "Windows_NT" ]; then
    return 0
  else
    return 1
  fi
}

############### Start of main ################################################
if [ -n "" ]; then
	set -x
fi

rc=0
PROGNAME=`echo $0 | sed -e 's.\\\\./.g'`
PROGNAME=`basename $PROGNAME`

echo "*** Executing $PROGNAME"

if is_OS_NT; then
        if [ -f "$UMS_HOME/httpd.exe" ]; then
           "$UMS_HOME/TME/BIN/StartService" /S UMSHTTPD
        else
        "StartService" /S DIRWBS
        fi
else
        if [ -f "$UMS_HOME/httpd.exe" ]; then
        start "$UMS_HOME/httpd.exe" "411"
        else
        start "$UMS_HOME/websrv/dirwbs.exe" "411"
        fi
fi	
echo "*** Exiting $PROGNAME with return code $rc"
exit $rc
