#!/bin/sh
# 4.20  damonitors.sh, tec  
#
# Licensed Materials - Property of IBM
#
#
# (C) Copyright IBM Corp. 2003, 2004 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp
#
#  Version 4.20
#
#  This simple Bourne shell script loads all necesary items 
#  for Monitors.
#
#  ./damonitors.sh
#
#  This script must be run on your IBM Tivoli Monitoring Server

# Usage statement

echo "Adding Web Server Check Monitor"
wdmrm -add HTTPCheck_sh.tar

echo "Adding SNMP Service Check Monitor"
wdmrm -add SNMPCheck_sh.tar

echo "Adding Chasis Intrusion Monitor"
wdmrm -add IBMPSG_Chassis.tar

echo "Adding Network Adapter Monitor"
wdmrm -add IBMPSG_PhysicalNetworkAdapter.tar

echo "Adding Portable Battery Monitor"
wdmrm -add IBMPSG_PortableBattery.tar

echo "Adding Fan Monitor"
wdmrm -add IBMPSG_Tachometer.tar

echo "Adding Temperature Sensor Monitor"
wdmrm -add IBMPSG_TemperatureSensor.tar

echo "Adding Voltage Sensor Monitor"
wdmrm -add IBMPSG_VoltageSensor.tar

echo "Adding RAID Status Monitor"
wdmrm -add IBMPSG_ServeRAIDOverallStatus.tar

echo "Adding Storage PFA Monitor"
wdmrm -add IBMPSG_StorageFailurePredictionSettings.tar

echo "Adding Processor PFA Monitor"
wdmrm -add IBMPSG_Processor.tar

echo "Adding Physical Memory PFA Monitor"
wdmrm -add IBMPSG_PhysicalMemory.tar
