#!/bin/sh
# 4.20  damonrules51.sh, tec 
#
# Licensed Materials - Property of IBM
#
#
# (C) Copyright IBM Corp. 2003, 2004 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp
#
#  Version 4.20
#
#  This simple Bourne shell script imports Director rules
#
#  ./damonrules51.sh <Rule Base Name>
#
#  This script MUST be run on your TEC Server!!

# Usage statement
if [ $# -lt 1 ] ; then
        echo "Usage: $0 <Rule Base Name> "
        exit 1
fi

echo "Importing Director Rule Sets into $1"
wrb -imprbrule dm.rls "$1"

echo "Compiling Rule Base $1"
wrb -comprules "$1"

echo "Loading Rule Base $1 into EventServer"
wrb -loadrb "$1"

echo "Restarting EventServer!"
wstopesvr
wstartesvr

echo "Director 5.1 Monitors Rules Loaded!"

